Switching to Asterisk 1.8 on AsteriskNOW

Get help with installing and running AsteriskNOW.

Moderators: Moderator, Support

Switching to Asterisk 1.8 on AsteriskNOW

Postby qwell » Fri Oct 22, 2010 1:20 pm

Now that Asterisk 1.8 has been released, I've made packages available for AsteriskNOW. The upgrade isn't as easy as a `yum update`, but it's not too difficult.

From a Linux command line, run:
# yum shell

This enters the shell mode of yum. Once in the shell, enter the following.
# remove asterisk16 asterisk16-core
# install asterisk18-core asterisk18
# ts solve
# ts run

At this point, the package list will be calculated, and you should be presented with the option to finish the transaction. If everything looks correct, hit 'Y' and let it complete. You can then 'exit' the shell mode. Congratulations! You've just successfully installed Asterisk 1.8.

Note: If you've installed them, you may see asterisk16-addons or asterisk16-<insert module name> packages being removed. You can add the asterisk18 equivalents to the 'install' command above, and they will also be upgraded.

Note 2: To get FreePBX to support Asterisk 1.8, you'll need to install freepbx-2.7.0-7 at a minimum. The easiest way to get this, is to `yum update` before running the above.
qwell
Oldsterisk
 
Posts: 81
Joined: Mon Aug 01, 2005 6:38 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby chocobn » Sat Oct 23, 2010 2:01 am

Hello Qwell and thanks a lot for this tip.

Is it the same for asterisk 1.4 ?
like this
From a Linux command line, run:
# yum shell

This enters the shell mode of yum. Once in the shell, enter the following.
# remove asterisk asterisk-core
# install asterisk18-core asterisk18
# ts solve
# ts run


There will not have incompatibilities ?
Thank you
chocobn
Newsterisk
 
Posts: 1
Joined: Sat Oct 23, 2010 1:56 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby qwell » Sat Oct 23, 2010 10:09 am

Just replace all the instances of "16" with "14", and it should work fine.
qwell
Oldsterisk
 
Posts: 81
Joined: Mon Aug 01, 2005 6:38 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby zfield » Sat Oct 23, 2010 7:17 pm

One thing I noticed: once the server is rebooted, the title will show AsteriskNOW 1.7.1 (at least in my case). However, if you log into the webui and mouseover the OK beside Asterisk (under Server status), it should tell you the correct version. After the upgrade, mine shows 1.8.0.
zfield
Newsterisk
 
Posts: 1
Joined: Sat Oct 23, 2010 7:14 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby silverglade00 » Tue Oct 26, 2010 8:07 am

AsteriskNOW version is not the same as Asterisk version. Just like Centos 5.5 doesn't include kernel-5.5. Just different numbering schemes.
silverglade00
Newsterisk
 
Posts: 18
Joined: Mon Oct 26, 2009 11:21 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby eebng_1422 » Wed Oct 27, 2010 2:47 am

hi all,
i need to say that the above method doesn't work with me, so i downloaded the tar files and i need some document talk about the installation.
eebng_1422
Newsterisk
 
Posts: 11
Joined: Mon Jan 21, 2008 6:03 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby mark.dasovic » Thu Oct 28, 2010 11:27 am

any reason why after the upgrade to 1.8 I wouldn't have the gtalk.conf or jabber.conf files under /etc/asterisk ? I also appear to be missing the chan_gtalk and res_jabber - not sure if these are part of a separate rpm package from the asterisk18 upgrade or not. everything on my system came back up correctly including my existing trunks and extensions, but I see no way to configure it for google voice at this point.

thoughts?
mark.dasovic
Newsterisk
 
Posts: 1
Joined: Thu Oct 28, 2010 11:24 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby msgreenf » Thu Oct 28, 2010 8:30 pm

I just installed 1.8 this way into my AsteriskNow and the AsteriskGui no longer works. what can I check? I am a noob and just starting to play with this.
msgreenf
Newsterisk
 
Posts: 1
Joined: Thu Oct 28, 2010 8:29 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby sgroat » Sat Oct 30, 2010 3:22 pm

mark.dasovic wrote:any reason why after the upgrade to 1.8 I wouldn't have the gtalk.conf or jabber.conf files under /etc/asterisk ? I also appear to be missing the chan_gtalk and res_jabber - not sure if these are part of a separate rpm package from the asterisk18 upgrade or not. everything on my system came back up correctly including my existing trunks and extensions, but I see no way to configure it for google voice at this point.

thoughts?


I'm really interested in this too. Are there any plans for Google Voice support in FreePBX or AsteriskGUI? I'm looking to create a system where users can registers there own Google Voice trunks themselves for a IP PBX in a residential higher education application for instituions with Google Apps for Education. Any help would be great.
sgroat
Newsterisk
 
Posts: 2
Joined: Thu Oct 28, 2010 9:00 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby spittlbm » Thu Nov 04, 2010 3:47 pm

My Asterisk GUI died, too. It only shows the source of the html and not the redered output.
spittlbm
Newsterisk
 
Posts: 2
Joined: Thu Nov 04, 2010 3:45 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby deadhead » Thu Nov 18, 2010 4:51 pm

sgroat wrote:
mark.dasovic wrote:any reason why after the upgrade to 1.8 I wouldn't have the gtalk.conf or jabber.conf files under /etc/asterisk ? I also appear to be missing the chan_gtalk and res_jabber - not sure if these are part of a separate rpm package from the asterisk18 upgrade or not. everything on my system came back up correctly including my existing trunks and extensions, but I see no way to configure it for google voice at this point.

thoughts?


I'm really interested in this too. Are there any plans for Google Voice support in FreePBX or AsteriskGUI? I'm looking to create a system where users can registers there own Google Voice trunks themselves for a IP PBX in a residential higher education application for instituions with Google Apps for Education. Any help would be great.


Can anyone verify that chan_gtalk and res_jabber will be included in a future rpm build?
The rpms that qwell referred to above do not include support for Google Voice.

Many thanks,
Rob.
deadhead
Newsterisk
 
Posts: 1
Joined: Thu Nov 18, 2010 10:43 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby gpeters » Tue Nov 23, 2010 8:28 pm

My Asterisk GUI is dead too when upgrading to 1.8

Any ideas?
Gerhard
gpeters
Newsterisk
 
Posts: 8
Joined: Mon Oct 19, 2009 5:07 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby VMikhelson » Tue Dec 28, 2010 1:05 pm

Qwell,

Thank you for the document.

Unfortunately need to report two (2) post-upgrade issues.

1. ooh_323 stopped placing outgoing calls, incoming calls are terminated after 32 seconds, DTMF does not function, h323_log is empty. Opened new issue: https://issues.asterisk.org/view.php?id=18542

2. FOP is not fully functional. It does not show an extension status. Trying to reach the developer.

Thank you,
Vladimir

Edited 01/18/2011.
Item #2 appeared to be related to Asterisk 1.8 not being backwards compatible with 1.6 regarding reporting its peers status. See http://www.freepbx.org/forum/freepbx/us ... ment-34031
Last edited by VMikhelson on Tue Jan 18, 2011 10:29 am, edited 1 time in total.
VMikhelson
Newsterisk
 
Posts: 42
Joined: Wed Sep 24, 2008 9:04 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby malcolmd » Tue Jan 18, 2011 8:09 am

astinjack wrote:HI , I need information about Polycom IP 331 and what is the difference between Polycom IP 331 and Polycom IP 5000 PoE.


I'm going to give you the benefit of the doubt here and assume that you're not simply astro-turfing. I'm also going to remove the link from your post.

The IP 331 is a desktop telephone with a handset. The IP 5000 is a desktop conference phone with no handset. The IP 5000 supports G.722, the IP 331 does not. The IP 331 is cheaper.
Malcolm Davenport
Digium, Inc. | Senior Product Manager
malcolmd
Moves Like Spencer
 
Posts: 3019
Joined: Wed Aug 03, 2005 3:53 pm
Location: Huntsville, AL, US

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby jjku » Tue Feb 08, 2011 9:30 pm

Ok.. just tried to go from 1.4 to 1.8.

Did everything and it downloaded all the packages. The after the transaction test, there was a transaction check error.

file /var/lib/asterisk/sounds/en/core-sounds-en.txt from install of asterisk-sounds-core-en-gsm1.4.20-1_centos5.noarch conflicts with file from package asterisk-sounds-core-en-ulaw-1.4.19-1_centos5.noarch

Not sure what to do now.
jjku
Newsterisk
 
Posts: 1
Joined: Tue Feb 08, 2011 9:26 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby rmontgomery » Wed Feb 09, 2011 2:03 pm

To get the latest versions of the sounds packages, run 'yum update' first, before starting the yum shell.
rmontgomery
Site Admin
 
Posts: 44
Joined: Thu Jan 18, 2007 4:47 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby rmontgomery » Wed Feb 09, 2011 2:07 pm

gpeters wrote:My Asterisk GUI is dead too when upgrading to 1.8


The Asterisk GUI has not been fully updated to manage Asterisk 1.8. Visit https://issues.asterisk.org and choose the "Asterisk-GUI" project to see the open issues and to get involved.

Unlike other ISO distributions for Asterisk, AsteriskNOW does not force the user to a particular GUI, or to any GUI at all. It's therefore useful to provide the Asterisk 1.8 package as an option for non-GUI users, but this option is not included in the installation menu. When the Asterisk-GUI is to date for Asterisk 1.8 and we're ready to recommend this pairing to newcomers, we'll spin a new ISO for AsteriskNOW.
rmontgomery
Site Admin
 
Posts: 44
Joined: Thu Jan 18, 2007 4:47 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby jlug38 » Wed Mar 16, 2011 11:03 am

I'm running AsteriskNow 1.7 on a 64bit computer and I'm trying to upgrade asterisk to 1.8.
The asterisk version is 1.6.2.11
I've downloaded the asterisk 1.8.3 and I've uploaded to my /usr/src directory.
I get the following error:
checking build system type...........x86_64-unknown-linux-gnu
checking host system type...........x86_64-unknown-linux-gnu
checking for gcc.........no
checking for cc..........no
checking for cl.exe..........no
configure: error: in "/usr/src/asterisk-1.8.3':
configure: error: no acceptable C compiler found in $PATH
jlug38
Newsterisk
 
Posts: 16
Joined: Tue Mar 15, 2011 7:47 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby brett.vitaz » Wed Mar 16, 2011 1:11 pm

rmontgomery wrote:
gpeters wrote:My Asterisk GUI is dead too when upgrading to 1.8


The Asterisk GUI has not been fully updated to manage Asterisk 1.8. Visit https://issues.asterisk.org and choose the "Asterisk-GUI" project to see the open issues and to get involved.

Unlike other ISO distributions for Asterisk, AsteriskNOW does not force the user to a particular GUI, or to any GUI at all. It's therefore useful to provide the Asterisk 1.8 package as an option for non-GUI users, but this option is not included in the installation menu. When the Asterisk-GUI is to date for Asterisk 1.8 and we're ready to recommend this pairing to newcomers, we'll spin a new ISO for AsteriskNOW.


Are you saying that the Asterisk GUI is not developed along side the Asterisk software? Everyone who upgrades from 1.6 to 1.8 is going to have a broken GUI?
brett.vitaz
Newsterisk
 
Posts: 1
Joined: Wed Mar 16, 2011 12:49 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby wb6vpm » Wed Dec 14, 2011 11:56 am

When I try this, I get the following error:

Code: Select all
Error: Transaction Check Error:
  file /usr/lib/asterisk/modules/app_voicemail.so from install of asterisk18-voicemail-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-voicemail-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/app_dahdibarge.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/app_dahdiras.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/app_flash.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/app_meetme.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/app_page.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/chan_dahdi.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/codec_dahdi.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/lib/asterisk/modules/res_timing_dahdi.so from install of asterisk18-dahdi-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-dahdi-1.6.2.21-1_centos5.i386
  file /usr/share/man/man8/asterisk.8.gz from install of asterisk18-doc-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-doc-1.6.2.21-1_centos5.i386
  file /usr/share/man/man8/astgenkey.8.gz from install of asterisk18-doc-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-doc-1.6.2.21-1_centos5.i386
  file /usr/share/man/man8/safe_asterisk.8.gz from install of asterisk18-doc-1.8.7.0-2_centos5.i386 conflicts with file from package asterisk-doc-1.6.2.21-1_centos5.i386

Error Summary
-------------


Any ideas?
wb6vpm
Newsterisk
 
Posts: 2
Joined: Wed Dec 14, 2011 11:54 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby wb6vpm » Fri Dec 16, 2011 11:14 am

OK, i was able to figure out how to update to 1.8 here:
[url]forums.digium.com/posting.php?mode=reply&f=14&t=75822&sid=656c73d0e159876ac2d81bd945bc47ad[/url]

which told me to run this:
Code: Select all
yum update --enablerepo=asterisk-1.8
wb6vpm
Newsterisk
 
Posts: 2
Joined: Wed Dec 14, 2011 11:54 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby jeanne19 » Mon Feb 27, 2012 12:58 am

i tried 1.8 i got errors .. does it have to be give errors ? im sick of seing errors
jeanne19
Newsterisk
 
Posts: 1
Joined: Mon Feb 27, 2012 12:44 am

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby malcolmd » Mon Feb 27, 2012 8:11 am

jeanne19 wrote:i tried 1.8 i got errors .. does it have to be give errors ? im sick of seing errors


Nice post. ;)
Malcolm Davenport
Digium, Inc. | Senior Product Manager
malcolmd
Moves Like Spencer
 
Posts: 3019
Joined: Wed Aug 03, 2005 3:53 pm
Location: Huntsville, AL, US

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby renatop » Sun Jan 06, 2013 4:16 pm

has anyone reached a solution yet for the missing jabber and gtalk modules? Is there any way to download them over asterisknow or asterisk 1.8 after upgrade?
renatop
Newsterisk
 
Posts: 2
Joined: Sun Jan 06, 2013 3:31 pm

Re: Switching to Asterisk 1.8 on AsteriskNOW

Postby jasonromo » Fri Jan 31, 2014 3:37 pm

Sounds like you should just checkout the latest code from svn. Then you can compile all of the modules you need.

Jason
jasonromo
Newsterisk
 
Posts: 1
Joined: Fri Jan 31, 2014 3:25 pm


Return to AsteriskNOW Support

Who is online

Users browsing this forum: No registered users and 1 guest